cURL
curl --request GET \ --url https://api.novatrade24.com/v1/partners/{sellerId}/prospects \ --header 'Authorization: Bearer <token>'
{ "data": [ { "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "type": "COMPANY", "companyName": "<string>", "firstName": "<string>", "lastName": "<string>", "email": "[email protected]", "status": "SUBMITTED", "submittedAt": "2023-11-07T05:31:56Z" } ], "pagination": { "page": 123, "size": 123, "totalElements": 123, "totalPages": 123, "hasNext": true, "hasPrevious": true } }
OAuth 2.0 client_credentials grant via Keycloak service account. Clients are provisioned per IntegrationOrganization in the nt24-idp realm.
IntegrationOrganization
nt24-idp
UUID of the seller trade partner (must be in caller's authorized list).
x >= 0
1 <= x <= 100
OK
Show child attributes